.agencies-top, .agencies-buttons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 16px;
}.agencies-top {
    margin-bottom: 32px;
}.agencies-buttons {
    justify-content: flex-end;
}.agencies-buttons > button {
    display: flex;
    gap: 12px;
    align-items: center;
    border: 1px solid var(--color-black);
    border-radius: 8px;
    color: var(--color-black);
    background-color: transparent;
    padding: 15px 31px 10px;
    cursor: pointer;
    font-size: var(--fonts-size-body-md);
    font-weight: normal;
    transition: .3s;
}.agencies-buttons > button svg {
    margin-bottom: 3px;
    fill: var(--color-black);
    transition: .3s;
}.agencies-buttons > button:hover, .agencies-buttons > button.active {
    color: var(--color-white);
    background-color: var(--color-pasquet-orange);
    border-color: var(--color-pasquet-orange);
}.agencies-buttons > button:hover svg, .agencies-buttons > button.active svg {
    fill: var(--color-white);
}
.agencies-search {
    display: flex;
    align-items: center;
    gap: 16px;
    position: relative;
}.agencies-search input {
    width: 171px;
    padding: 17px 15px 12px;
    border: 1px solid var(--color-light-grey);
    border-radius: 8px;
    font-size: var(--fonts-size-body-sm);
}.agencies-search button {
    padding: 11px;
    border-radius: 50%;
    background-color: var(--color-pasquet-orange);
    border: 1px solid var(--color-pasquet-orange);
    cursor: pointer;
    transition: .3s;
}.agencies-search button svg {
    fill: var(--color-white);
    transition: .3s;
}.agencies-search button:hover {
    background-color: transparent;
}.agencies-search button:hover svg {
    fill: var(--color-pasquet-orange);
}.address-feedback {
    position: absolute;
    bottom: 0;
    left: 0;
    transform: translateY(100%);
    z-index: 10;
    background-color: var(--color-white);
    max-height: 250px;
    overflow-y: auto;
    scrollbar-color: var(--color-pasquet-orange) transparent;
    scrollbar-width: thin;
}.address-feedback a {
    text-decoration: none;
    display: block;
    padding: 8px 16px;
    font-size: var(--fonts-size-body-sm);
    line-height: 140%;
}.address-feedback a:hover, .address-feedback a.active {
    background-color: var(--color-pasquet-orange);
    color: var(--color-white);
}

.storelocator {
    position: relative;
}
.storelocator, .listing {
    display: none;
}main.map-view .storelocator, main.list-view .listing {
    display: block;
    margin-bottom: 80px;
}

.agencies-listing {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 24px;
    list-style-type: none;
}
.agency-single {
    background-color: var(--color-very-light-grey, #F7F7F7);
    padding: 32px 16px;
    font-size: var(--fonts-size-body-md);
    border-radius: 16px;
}.agency-single.hidden {
    display: none;
}.agency-title {
    font-size: var(--font-size-4);
    line-height: 140%;
    font-weight: 600;
    display: block;
    margin-bottom: 24px;
    text-decoration: underline;
    text-decoration-thickness: 1px;
    text-underline-offset: 3px;
}span.agency-title {
    text-decoration: none;
}.agency-point {
    display: flex;
    align-items: flex-start;
    gap: 8px;
    margin-bottom: 16px;
}.agency-point:last-child {
    margin-bottom: 24px;
}.agency-point svg {
    margin-top: 3px;
}.agency-buttons {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    gap: 24px;
}.show-more-container {
    margin-top: 32px;
    display: flex;
    justify-content: center;
}
@media (max-width: 979px) {
    .agencies-listing {
        grid-template-columns: 1fr 1fr;
    }
}
@media (max-width: 600px) {
    .agencies-listing {
        grid-template-columns: 1fr;
    }
}

#map {
    width: 100%;
    min-height: 600px;
    z-index: 1;
    scroll-margin-top: 180px;
}
#map .leaflet-marker-icon .agency-single {
    display: none;
}#map .leaflet-marker-icon.active .agency-single {
    display: block;
}.leaflet-container { 
    font-family: 'Agenda', sans-serif !important;
}.mapoint {
    position: relative;
    z-index: 1;
}.mapoint .agency-single {
    position: absolute;
    top: 0;
    left: 40px;
    z-index: 2;
    background-color: var(--color-white);
    box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.10);
    width: 476px;
    padding: 16px 16px;
}#map .mapoint a {
    color: var(--color-black);
}#map .mapoint .btn {
    color: var(--color-white);
}#map .mapoint .btn:hover {
    color: var(--color-pasquet-orange);
}#map .mapoint .btn.btn-orange {
    color: var(--color-pasquet-orange);
}#map .mapoint .btn.btn-orange:hover {
    color: var(--color-white);
}.mapoint .agency-close {
    position: absolute;
    top: 16px;
    right: 16px;
    background-color: var(--color-white);
    border: none;
    padding: 0;
    cursor: pointer;
}.mapoint .agency-single .agency-title {
    padding-right: 24px;
    font-size: var(--font-size-5);
    margin-bottom: 8px;
}.mapoint .agency-single .agency-point {
    margin-bottom: 8px;
}.mapoint .agency-single .agency-buttons {
    margin-top: 16px;
    gap: 8px;
}.leaflet-marker-icon {
    z-index: 1 !important;
}.leaflet-marker-icon.active {
    z-index: 2 !important;
}#map .marker-cluster, #map .marker-cluster div {
    background-color: var(--color-pasquet-orange);
    color: var(--color-white);
}#map .agency-marker {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    position: relative;
    transition: .3s;
}#map .active .agency-marker {
    background-color: var(--color-pasquet-orange);
}#map .active .mapoint-partenaire .agency-marker {
    background-color: var(--color-black);
}#map .agency-marker svg {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: .3s;
    width: 32px;
    height: 32px;
    fill: var(--color-pasquet-orange);
}#map .mapoint-partenaire .agency-marker svg {
    fill: var(--color-black);
}#map .active .agency-marker svg {
    fill: var(--color-white);
    width: 16px;
    height: 16px;
}
@media (max-width: 979px) {
    #map {
        min-height: 450px;
    }.mapoint .agency-single {
        top: -20px;
        left: -20px;
        transform: scale(0.7);
    }
}
@media (max-width: 500px) {
    #map {
        min-height: 400px;
    }
}

.btn-link-quote svg {
    fill: none;
}.btn-link-quote svg > * {
    stroke: var(--color-white);
    transition: .3s;
}.btn-link-quote svg > *:last-child {
    fill: var(--color-white);
    transition: .3s;
}.btn-link-quote:hover svg > * {
    stroke: var(--color-pasquet-orange);
}.btn-link-quote:hover svg > *:last-child {
    fill: var(--color-pasquet-orange);
}.btn-gmap {
    padding: 12px;
}
/* NO AGENCIES */
.no-agencies {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 550px;
    max-width: 98%;
    background-color: var(--color-white);
    box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.10);
    padding: 32px;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
    text-align: center;
    z-index: 10;
}.no-agencies-flex {
    display: flex;
    justify-content: center;
    gap: 16px;
    flex-wrap: wrap;
}